# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXExtractNthString

Function

Determines whether an Object can be converted to a list of strings and, if so, extracts the `n`th one from it.

Syntax
`
#include <dx/dx.h>
`

Object DXExtractNthString(Object o, int n, char **cp)

Functional Details

If Object `o` contains at least an `n`th string (where `n` is a zero-based index), this routine extracts it and places a pointer to its first character in `*cp`.

Strings may be extracted from:

- String Objects (if `n` is 0)
- String lists (e.g., those created by `DXMakeStringList` and `DXMakeStringListV`).

Return Value

Returns `o` and sets `cp` if the `n`th string can be extracted from `o`; otherwise, returns `NULL` without setting an error code.

See Also

`DXExtractFloat, DXExtractInteger, DXExtractParameter, DXExtractString, DXMakeStringList, DXMakeStringListV, DXQueryArrayConvert, DXQueryArrayConvertV, DXQueryParameter`

12.8 , "Extracting Module Parameters".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]